## Index → Cherokee Bundle

## Cherokee Bundle: cherokee-guardian

This command-line tool is a wrapper for the main Cherokee executable. It is used as a safety net to invoke `cherokee` and to ensure it is always functioning. It also plays an important role in the zero-downtime mechanism implemented to allow graceful restarts of the server.

This is the full information provided by the manpage.

NAME

  cherokee-guardian - Cherokee web server safe invoker

SYNOPSIS

  cherokee-guardian

DESCRIPTION

  Cherokee is an extremely fast, flexible and embeddable web server. cherokee-guardian is the recommended way to invoke cherokee. It will launch Cherokee with any options specified to it via the command line, and monitor it. In case Cherokee ends abnormally, it will be immediately re-launched.

  In future versions, cherokee-guardian will probably become the main binary to invoke Cherokee.

The accepcted parameters are those of the cherokee binary.